Bug 17226 - Expected working 3D, got BSOD.
Expected working 3D, got BSOD.
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-09-03 23:47 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-03 23:47:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-03 23:47:30 EDT
I had 3D accelleration working for Quake III
(from Lokigames.com) on a mandrake 7.1, using 
XFree86 3.3.6, and Utah GLX, with the gart 
driver for agp on my Matrox G400.

One of the reasons for upgrading to pinstripe
was to get a nice XFree86 4.0.1, where no 
shenanigans would be necessary for 3D.  WRONG.
The X Server crashes whenever I try starting 
Quake III.

wander over to the XFree86 site...
The MGA kernel module doesn't work with
(says the DRI/DRM doc.)  2.2.x.  Argh!
Build a 2.4.0-test7 kernel from kernel.org.
according to instructions from the DRI doc.
Same thing. crashes the X server horribly.

Here are some choice bits from the /var/log/XFree86.X.log

(==) MGA(0): Write-combining range (0xe2000000,0x1000000)
(==) MGA(0): Default visual is PseudoColor
(II) MGA(0): [drm] bpp: 8 depth: 8
(II) MGA(0): [drm] Direct Rendering only supported in 16 and 32 bpp modes
(II) MGA(0): Using 25732 lines for offscreen memory.
(II) MGA(0): direct rendering

The above is interesting because the screen was,
in fact, in 16bpp mode...  Here's another failure

(==) MGA(0): Write-combining range (0xe2000000,0x1000000)
(==) MGA(0): Default visual is TrueColor
(II) MGA(0): [drm] Sarea 2176+624: 2800
(EE) MGA(0): [drm] DRIScreenInit Failed
(II) MGA(0): Using 5529 lines for offscreen memory.
(**) MGA(0): DPMS enabled
(II) MGA(0): direct rendering disabled
(II) MGA(0): Using overlay video

Pouf! BSOD (in my case, Black SOD...)
Comment 1 Preston Brown 2000-10-04 15:19:58 EDT
RHL 7 final tests OK for supporting Matrox G200 with DRI 3D acceleration in
16bit and 32bit modes in 1024x768 and lower with 8 megs of video ram, and
1280x1024 with 16megs of video ram.

You do not need a replacement kernel and we do not support any other kernels
than those we ship.  If you recompile, you are on your own.

Note You need to log in before you can comment on or make changes to this bug.